# <a href="https://apps.gnome.org/Komikku/"><img height="88" src="data/icons/info.febvre.Komikku.svg" />Komikku</a>

[![GNOME Circle](https://circle.gnome.org/assets/button/badge.svg)](https://apps.gnome.org/Komikku/)
[![Please Don't Theme](https://stopthemingmy.app/badge.svg)](https://stopthemingmy.app)
[![Chat on Matrix](https://raw.githubusercontent.com/matrix-org/matrix.to/main/images-nohash/matrix-badge.svg)](https://matrix.to/#/!YXjunwpNHcXYeSdbbb:matrix.org?via=matrix.org)
[![Donate using Liberapay](https://img.shields.io/liberapay/receives/valos.svg?logo=liberapay)](https://en.liberapay.com/valos/donate)
[![Flathub download stats](https://img.shields.io/badge/dynamic/json?color=informational&label=downloads&logo=flathub&logoColor=white&query=%24.installs_total&url=https%3A%2F%2Fflathub.org%2Fapi%2Fv2%2Fstats%2Finfo.febvre.Komikku)](https://klausenbusk.github.io/flathub-stats/#ref=info.febvre.Komikku&interval=infinity&downloadType=installs)
[![Translation status](https://hosted.weblate.org/widgets/komikku/-/main/svg-badge.svg)](https://hosted.weblate.org/engage/komikku/)
[![Open Hub](https://www.openhub.net/p/komikku/widgets/project_thin_badge?format=gif)](https://www.openhub.net/p/komikku)
[![Made with Python](https://img.shields.io/badge/Made%20with-Python-1f425f.svg)](https://www.python.org)

**Komikku** is a manga reader for [GNOME](https://www.gnome.org). It focuses on providing a clean, intuitive and adaptive interface.

## 🪪 License

**Komikku** is licensed under the [GPLv3+](https://www.gnu.org/licenses/gpl-3.0.html).

## ✨ Keys features

* Online reading from dozens of servers
* Offline reading of downloaded series
* Support for locally stored series (in [CBZ or CBR](https://en.wikipedia.org/wiki/Comic_book_archive) formats)
* RTL, LTR, Vertical and Webtoon reading modes
* Several types of navigation:
  * Keyboard arrow keys
  * Right and left navigation layout via mouse click or tapping (touchpad/touch screen)
  * Mouse wheel
  * 2-fingers swipe gesture (touchpad)
  * Swipe gesture (touch screen)
* Categories to organize your library
* Automatic tracking of series with [MyAnimeList](https://myanimelist.net/) and [AniList](https://anilist.co/)
* Automatic update of series
* Automatic download of new chapters
* Reading history
* Light and dark themes

## 📸 Screenshot

<img src="screenshots/library-dark.png" width="912">

## 🚀 Installation

### Flatpak

<a href='https://flathub.org/apps/info.febvre.Komikku'><img width='240' alt='Get it on Flathub' src='https://flathub.org/api/badge?locale=en'/></a>

### Native package

**Komikku** is available as native package in the repositories of the following distributions:

[![Packaging status](https://repology.org/badge/vertical-allrepos/komikku.svg)](https://repology.org/project/komikku/versions)

## 👨‍💻 Contributing

### Code

Please follow our [contributing guidelines](CONTRIBUTING.md).

### Translations

If you'd like to help translating **Komikku** into your language, please head over to [Weblate](https://hosted.weblate.org/engage/komikku/).

[![Translation status](https://hosted.weblate.org/widgets/komikku/-/main/multi-auto.svg)](https://hosted.weblate.org/engage/komikku/)

### Code of Conduct
We follow the [GNOME Code of Conduct](https://conduct.gnome.org/).
All communications in project spaces are expected to follow it.

## ❤️ Sponsor this project

**Komikku** is a `Free software`. If you like it and would like to support and fund it, you may donate through one of the plateform below. Any amount will be greatly appreciated 🤩.

|Plateforms|||
|:---:|:--:|---|
|Ko-fi|[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/X8X06EM3L)|One-time or monthly donation|
|Liberapay|[![lp Donate](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/valos/donate)|Weekly/monthly/yearly donation|
|PayPal|[![PayPal](https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif)](https://www.paypal.com/donate?business=GSRGEQ78V97PU&no_recurring=0&item_name=You+can+help+me+to+keep+developing+apps+through+donations.&currency_code=EUR)|One-time donation|

## 💡 About the name

Komikku (コミック) is a Japanese word meaning `Comics`.

## ⚠️ Disclaimer

- The developers of this application does not have any affiliation with the content providers available.
- The application itself has no content and can be considered as a browser-like app.
